import request from "@/utils/request";

// 查询数据来源列表
export function listSource(query) {
  return request({
    url: "/zongzhi/source/list",
    method: "get",
    params: query,
  });
}

// 查询数据来源详细
export function getSource(id) {
  return request({
    url: "/zongzhi/source/" + id,
    method: "get",
  });
}

// 新增数据来源
export function addSource(data) {
  return request({
    url: "/zongzhi/source",
    method: "post",
    data: data,
  });
}

// 修改数据来源
export function updateSource(data) {
  return request({
    url: "/zongzhi/source",
    method: "put",
    data: data,
  });
}

// 删除数据来源
export function delSource(id) {
  return request({
    url: "/zongzhi/source/" + id,
    method: "delete",
  });
}

// 导出数据来源
export function exportSource(data) {
  return request({
    url: "/zongzhi/source/export",
    method: "post",
    data,
  });
}
